RubyGems Navigation menu

activeinteractor 1.0.5

An implementation of the Command Pattern for Ruby with ActiveModel::Validations inspired by the interactor gem. Rich support for attributes, callbacks, and validations, and thread safe performance methods.

Versions:

  1. 1.1.1 - October 21, 2020 (36.5 KB)
  2. 1.1.0 - October 04, 2020 (36 KB)
  3. 1.0.5 - September 16, 2020 (35 KB)
  4. 1.0.4 - February 11, 2020 (35 KB)
  5. 1.0.3 - February 11, 2020 (34.5 KB)
Show all versions (30 total)

Runtime Dependencies (2):

  • activemodel >= 4.2, < 7.0
  • activesupport >= 4.2, < 7.0
  • Development Dependencies (3):

  • bundler ~> 2.0
  • rake ~> 13.0
  • rspec ~> 3.9
  • Owners:

    Pushed by:

    Authors:

    • Aaron Allen

    SHA 256 checksum:

    c519328c99a81148a67ea7586bb89331e5721827601d88e08f6b49c76adce0e6

    Total downloads 13,148

    For this version 238

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.5.0

    Links: